Skip to content

List USB devices.

GET
/api/operate/namespaces/{namespace}/sites/{site}/vpm/usb/{node}/list
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/list \
--header 'Authorization: <Authorization>'

List connected USB devices.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

A successful response.

Media typeapplication/json
USB List Responsse

Response to list available USB devices.

object
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node.

string
<= 1024 characters
site
Site Name

Name of the site.

string
<= 1024 characters
usb
USBDevice

List of USB devices in server.

Array<object>
USB device

Information about USB device.

object
address
address

Address of the device on the bus in decimal.

integer format: int64
b_device_class
b_device_class

The class of this device.

string
<= 1024 characters
b_device_protocol
b_device_protocol

The protocol (within the sub-class) of this device.

string
<= 1024 characters
b_device_sub_class
b_device_sub_class

The sub-class (within the class) of this device.

string
<= 1024 characters
b_max_packet_size
b_max_packet_size

Maximum size of the control transfer.

integer format: int64
bcd_device
bcd_device

The device version.

string
<= 1024 characters
bcd_usb
bcd_usb

USB Specification Release Number.

string
<= 1024 characters
bus
bus

The bus on which the device was detected in decimal.

integer format: int64
description
description

Device description.

string
>= 21 characters <= 1024 characters
i_manufacturer
i_manufacturer

Manufacturer name.

string
<= 1024 characters
i_product
i_product

Product name reported by device.

string
<= 1024 characters
i_serial
i_serial_number

Index of Serial Number String Descriptor.

string
<= 1024 characters
id_product
id_product

Product ID (Assigned by Manufacturer) in hex.

string
<= 1024 characters
id_vendor
id_vendor

Vendor ID (Assigned by USB Org) in hex.

string
<= 1024 characters
port
port

Port on which the device was detected in decimal.

integer format: int64
>= 1 <= 65535
product_name
product_name

Product ID translated to name (if available)

string
<= 1024 characters
speed
speed

The negotiated operating speed for the device.

string
<= 1024 characters
usb_type
string
default: UNKNOWN_USB
Allowed values: UNKNOWN_USB INTERNAL REGISTERED CONFIGURABLE
vendor_name
vendor_name

Vendor ID translated to name (if available)

string
<= 1024 characters
Example
{
"usb": [
{
"usb_type": "UNKNOWN_USB"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example